# tbb::tbb_hash_compare< Key > Struct Template Reference

hash_compare that is default argument for concurrent_hash_map More...

`#include <concurrent_hash_map.h>`

List of all members.

## Static Public Member Functions
static size_t | hash (const Key &a)
static bool | equal (const Key &a, const Key &b)

## Detailed Description

### template<typename Key>
struct tbb::tbb_hash_compare< Key >

hash_compare that is default argument for concurrent_hash_map

The documentation for this struct was generated from the following file:

- concurrent_hash_map.h

Copyright © 2005-2013 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.